"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetWorkflowExecutionHistoryInput_1 = require("../shapes/GetWorkflowExecutionHistoryInput");
const GetWorkflowExecutionHistoryOutput_1 = require("../shapes/GetWorkflowExecutionHistoryOutput");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetWorkflowExecutionHistory = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetWorkflowExecutionHistory",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetWorkflowExecutionHistoryInput_1.GetWorkflowExecutionHistoryInput
    },
    output: {
        shape: GetWorkflowExecutionHistoryOutput_1.GetWorkflowExecutionHistoryOutput
    },
    errors: [
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        },
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        }
    ]
};
//# sourceMappingURL=GetWorkflowExecutionHistory.js.map