"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ListActivityTypesInput_1 = require("../shapes/ListActivityTypesInput");
const ListActivityTypesOutput_1 = require("../shapes/ListActivityTypesOutput");
const OperationNotPermittedFault_1 = require("../shapes/OperationNotPermittedFault");
const UnknownResourceFault_1 = require("../shapes/UnknownResourceFault");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListActivityTypes = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListActivityTypes",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: ListActivityTypesInput_1.ListActivityTypesInput
    },
    output: {
        shape: ListActivityTypesOutput_1.ListActivityTypesOutput
    },
    errors: [
        {
            shape: OperationNotPermittedFault_1.OperationNotPermittedFault
        },
        {
            shape: UnknownResourceFault_1.UnknownResourceFault
        }
    ]
};
//# sourceMappingURL=ListActivityTypes.js.map